#!/bin/sh
#
# standby 2 deepstandbyscript by gutemine version 1.0
#
DEEPSTANDBY=120
if [ $# -gt 0 ]; then
   DEEPSTANDBY=$1
fi
#
STANDBY=0
LINE="------------------------------------------------------"
TMP=/tmp/.standby2deepstandby
echo $LINE
echo "standby2deepstandby running with $DEEPSTANDBY min deepstandby time"
echo $LINE
while [ 1 ]
do
if [ `grep encoder /proc/stb/avs/0/input | wc -l` -eq 0 ]; then
   STANDBY=`expr $STANDBY "+" 1`
else
   STANDBY=0
fi
# echo $STANDBY
if [ $STANDBY -ge $DEEPSTANDBY ]; then
   echo "standby since $STANDBY min"
   echo $LINE
   echo "checking for recording running"
   echo $LINE
   du -d 0 /hdd/movie  >$TMP
   sed -ie s!/hdd/movie!!g $TMP
   OLDSIZE=`cat $TMP`
   sleep 5
   du -d 0 /hdd/movie  >$TMP
   sed -ie s!/hdd/movie!!g $TMP
   NEWSIZE=`cat $TMP`
   if [ $NEWSIZE -gt $OLDSIZE ]; then
      echo "recording running, deepstandby has to wait ..."
      echo $LINE
   else
      echo "no recording running, doing deepstandby now"
      echo $LINE
      init 4
      halt
   fi
fi
sleep 60
done
exit 0
